                WinRAR - 最新版本的更新


   版本 5.80
   
   1. 归档对话框的“时间”页面上的“保留源文件上次访问时间”这个选项允许
      保留归档文件原始的上次访问时间。

   2. 命令行 -tsp 参数可用于保留归档文件原始的上次访问时间。它可以结合其他
      ts 参数一起使用，例如：rar a -tsc -tsp arcname 文件。

   3. 允许在同一个 -ts 参数中使用多个修饰符组合。 例如，我们可以使用 -tscap 
      代替 -tsc -tsa -tsp。

   4. WinRAR 可以从 rar.ini 文本文件中读取命令行参数的默认值，该文件可以保存
      在与 WinRAR.exe 相同的文件夹中，也可以保存在 %APPDATA%\WinRAR 文件夹中。
      此文件包含以下格式的字符串：

      switches=<any RAR switches separated by spaces>
      switches_<command>=<any RAR switches separated by spaces>

      第一个字符串将参数应用到所有命令，第二个字符串将参数应用到个别命令。
      例如：

      switches=-m5 -s
      switches_x=-o+

      rar.ini 中指定的大多数参数仅在命令行模式下使用。某些参数可以在 shell 
      和命令行模式下应用。 以前，rar.ini 格式仅由控制台 RAR 支持。

   5. 命令行 -agf<default_format> 参数指定 -ag 参数的默认格式字符串。仅当
      它被放置到 rar.ini 配置文件或 RAR 环境变量时，才具有实用价值。例如，
      如果我们将 RAR 环境变量设置为 -agfYYYY-MMM-DD，我们可以使用 -ag，而不
      使用假定为 YYYY-MMM-DD 格式字符串的参数。

   6. 对于 RAR 和归档操作系统的任何组合，可以在归档处理命令中使用 -ed 和 -e+d 
      参数。 在更早的版本中，RAR for Windows 无法将它们用于 Unix RAR 归档，
      RAR for Unix 也无法将它们用于 Windows RAR 归档。

   7. 以前，“Test”命令无法检查已归档的 NTFS 备用数据流的完整性，而且如果
      此类流的大小超过 16 MB，则会发出“未知数据报头格式”警告。现已删除此
      限制。

   8. 提高了多核 CPU 上大型 NTFS 备用数据流的归档速度。
   
   9. “Find”命令：

      a) 当直接从“搜索结果”对话框中提取加密文件时，即使所有文件都属于同
         一个归档，也会为每个找到的文件发出密码提示。

         现在每个归档仅请求一次密码；

      b) Ctrl+A 热键供您选中“搜索结果”中的所有文件。

  10. 归档备注窗口：

      a) 当备注窗口具有键盘焦点时，以前的版本不允许使用 Ctrl+W 快捷键关闭 
         WinRAR。现在 Ctrl+W 也可以在备注窗口中使用；

      b) 具有 ANSI Escape 序列的备注也支持鼠标滚轮；
      
      c) 对于一些具有 ANSI Escape 序列的较长备注，即使滚动到底部之后，最后
         一行备注也只能部分可见。 现在它将完整显示。

  11. 7z 归档中文件的最大路径长度已增加到最多 2048 个字符。虽然 RAR 和 ZIP 
      格式已经支持这种较长的路径，但以前的版本将 7z 档案的路径长度限制为 
      260 个字符。

  12. 如果归档或文件名太长而不适合归档或提取进度窗口，那么该文件名会被截断。
      以前这种名称在最后被截断，致使文件扩展名不可见。现在只删除中间的路径
      组成和符号，但保留文件名和文件扩展名的开头。

  13. 如果所选的用于归档的文件仅因扩展名而存在差异，则建议的归档名称将基于
      其名称部分。例如，如果我们选择 Readme.txt 和 Readme.doc，归档对话框
      将建议 Readme.rar。

      以前的版本始终基于几个选定文件的父文件夹名称来生成归档名称。

  14. “符号链接”和“硬链接”显示在 .tar 归档中的符号链接和硬链接记录的
      “类型”列中。以前的版本仅在 .rar 归档中为此类记录显示正确的类型。
         
  15. 如果提取花费了大量时间，则从大型归档中复制和粘贴文件可能会失败。此版本
      也可以粘贴此类归档中的文件，但我们必须在“Copy”命令上开始提取，而不是
      通过“Paste”来实现此目的。
   
  16. 与 RAR5 卷类似，RAR4 格式的恢复卷使用与相应的 RAR 卷相同的卷号字段宽度。
      虽然早期版本的 WinRAR 能够以 RAR4 格式创建 arc.part01.rar 和 arc.part1.rev，
      但现在这两种类型的卷都将使用“part01”。

  17. “设置/文件列表”中的“设置字体...”按钮也会更改文件夹树型面板的字体。
      以前它只更改文件列表的字体。

  18. “查找文件”和命令行模式“i”命令：

      a) 如果使用了“使用所有表格”选项或“i”命令的“t”修饰符，除了已经支持
         的 ANSI、OEM 和 UTF-16 编码外，WinRAR 还将在 UTF-8 文件中搜索指定的
         字符串；
      
      b) 更好地支持 Unicode 文本字符串；

      c) 提供更好的性能，尤其是对于不区分大小写的搜索更是如此；

      d) 十六进制搜索输出包含找到匹配项的文本和十六进制表示。

  19. 解压缩 tar.bz2、tar.gz、tar.lz、tar.xz、tar.z 归档时，将显示文件和总
      进度条。
      
      以前，仅为 tar.bz2、tar.gz 和 tar.z 正确显示总进度，不为 tar.lz 和 
      tar.xz 显示文件或总进度。

  20. “文件列表/文件/精确大小”选项还更改了 WinRAR 状态栏中的文件大小格式。
   
  21. 问题修复：

      a) 如果在归档对话框中的归档名称中指定了不存在的路径，则 WinRAR 建议创建
         此类路径。以前的版本可以在 WinRAR 启动文件夹中创建这样的路径，而不是
         在当前显示的文件夹中创建路径；

      b) 在不支持  CPUID EAX=7 命令的 CPU 上添加 RAR5 格式的恢复记录，并在响应
         中返回随机数据时，WinRAR 可能会发生崩溃。上述 CPU 是 21 世纪初的一些
         CPU；

      c) 在 Windows shell 中使用鼠标右键拖动文件，将它们放到另一个文件夹中，
         在上下文菜单中选择“添加到归档...”，并启用“每个文件进行单独归档”
         选项后，WinRAR 将无法创建归档；

      d) 如果所有归档都有数字名称，例如 1.zip, 2.zip，而且归档开头的签名丢失，
        “winrar r *.zip”命令仅修复集合中的首个 ZIP 归档；

      e) 以前的 WinRAR 版本无法解压缩由 RAR 1.50 创建的归档中的文件夹记录；
      
      f) 在极少数情况下，WinRAR 无法提取由某些压缩优化工具生成的有效 .gz 归档，
         也无法报告其中的错误；

      g) 托盘图标中的进度条在高 DPI 模式下从未达到 100％；

      h) 如果文件夹记录在归档中存储在文件夹内容之后，则不会为归档文件夹显示
         创建和上次访问时间；

      i) “转换归档”命令中的“跳过加密归档”选项不适用于带有报头加密的 7-Zip 
         归档。


   版本 5.71
   
   1. “转换归档”命令：

      a) 在 Windows 10 中处理大量小归档时提高了性能。

      b) 已修复内存泄漏问题，转换为 ZIP 格式时该问题可能导致内存使用过多。

   2. 损坏的 ZIP 归档处理：

      a) 如果本地报头大小看起来无效，“修复”命令将替换存储在本地文件
         报头中的打包和解压文件的大小，其大小来自中央目录。

      b) 文件提取停止于存储在 ZIP 报头中的解压大小，即使可用的打包数据
         允许进一步提取也是如此。这样做是为了防止意外的硬盘空间使用。

   3. Ctrl + C 允许快速中止 RAR 的“l”命令。在以前的版本中，可能需要
      几秒钟，直到列表命令停止才能完成。

   4. 已修复以下问题：

      a) 当试图在 GUI shell 中显示某些类型的归档注释时，WinRAR 可能会
         崩溃，从而导致服务被拒绝。

      b) 如果在压缩配置文件参数中设置了“保存归档名称”和“添加到上下
         文菜单”这两个选项，并且从资源管理器的上下文菜单中调用了配置
         文件，WinRAR 将建议自动生成的归档名称，而不是保存在配置文件中
         的名称。

      c) WinRAR 在“诊断消息”窗口的“归档”一列中显示了一对不需要的
         圆括号，用于显示系统错误消息。

      d) 如果归档的名称包含数字部分，而且后跟 .zip 扩展名，在首个文件
         记录前存在任意数据，并启用“从提取路径中删除冗余文件夹” 这个 
         WinRAR 选项，则“提取到文件夹\”这个 Windows 资源管理器的上下
         文菜单命令可能无法解压缩 ZIP 归档。

      e) 在“RAR x -x<mask> arcname”命令中，匹配指定掩码的文件的父文件
         夹也被排除在提取之外。

      f) 如果文件夹名称与“要查找的文件名”掩码匹配，则“查找”命令将
         当前文件夹自身的名称返回到“当前文件夹”搜索区域的内容。

      g) 如果同时启用了“在文件中查找”和“在归档中查找”，则在搜索归档
         内部后，对照“要搜索的文件名”掩码，“查找”命令与归档名称不匹
         配。因此它没有显示像 *.rar 这样的掩码的归档名称，只将这个掩码
         应用于归档内的文件。

      h) 当直接从归档运行可执行文件时，WinRAR 5.70 没有将解压缩文件的临
         时文件夹设置为当前文件夹。因此，尝试访问当前文件夹中其他已归档
         文件的可执行文件时，可能无法正常工作。

      i) 在关闭 Windows 10 中的内部查看器中打开的归档文件后的几秒钟内，
         可能无法访问 WinRAR。

      j) 将文件拖动到 ZIP 归档的子文件夹，并启用“保存完整路径”这个选项，
         将生成由重复的子文件夹名称组成的无效路径名。如果使用 
         -ap<folder> -ep2 参数，将文件添加到 ZIP 归档，则会产生相同的无效
         路径名。


   版本 5.70

   1. 归档对话框的“时间”页面上的“待处理文件”选项允许基于修改、
      创建或上次访问文件的时间选择文件。以前只能修改时间而已。

   2. 命令行-ta、-tb、-tn、-to 参数在参数名称后接受'm'、'c'和'a'修
      饰符。因此，文件时间条件不仅可以包括之前版本中的文件修改时间，
      还可以包括创建和上次访问时间。

      这种参数可以包括多个修饰符，用于为所有指定时间设置相同的
      日期。例如，-tamc20190215 将处理在 2019-02-15 之后修改和创建
      的文件。

      新的 'o' 修饰符允许从 AND 切换到 OR 逻辑，因此 -tamco20190215
      包含在 2019-02-15 之后修改或创建的文件。它还允许在同一命令行
      中指定具有不同日期的多个时间筛选参数，例如：-taco20190201 
      -tbmo20190210

      -ta 和 -tn 参数还包括与指定日期完全匹配的文件。-tb 和 -to 参数
      不包括这些文件。

   3. WinRAR 文件列表可以显示创建和上次访问文件的时间（如果可用）。

      默认情况下禁用创建和上次访问列，可以在“选择文件列表列”这个
      对话框中启用此项。右键单击文件列表列的标题，或在 WinRAR 设置
      中点击“文件列表/文件/列...”这个按钮后，将打开此对话框。

   4. 归档对话框的“文件”页面上的“归档双扩展”和“子文件夹中的归档”
      这两个选项修改了“将每个文件放入单独的归档中”这个选项的行为。

      您可以在 filename.ext.rar 和 filename.rar 样式中使用“归档双扩展”
      来切换归档名称。

      您可以为所选子文件夹中的每个文件创建单独的归档，也可以将每个选定
      文件夹的全部内容保存在单独的归档中，具体取决于“子文件夹中的归档”
      这个选项的状态。

   5. 在以递归方式解压缩多个归档时，可以使用新的 -ad1 参数，例如
      'rar x -r -ad1 arc\*.rar'。它为归档中解压缩出来的每个文件创建一个
      单独的文件夹，但与现有的 -ad 参数不同，它会在每个归档文件夹
      中创建此类文件夹。

   6. 如果上下文菜单的“将每个归档提取到单独的文件夹”这个选项应用
      于 Windows 资源管理器“搜索结果”中来自不同文件夹的归档，则会
      在每个归档文件夹中创建包含解压缩文件的子文件夹。以前的版本将
      它们全部创建在右键单击归档的文件夹中。
   
   7. WinRAR 设置中的新“文件列表/列表样式/复选框”选项允许使用复选
      框来选择文件列表项。

   8. 在 WinRAR 设置中新增“文件列表/文件/精确大小”这个选项。

      如果启用此选项，则文件大小始终以字节为单位显示。如果将其关闭，
      则会将大小向上舍入并使用 KB 或 MB 等单位。较小的文件仍然能够
      以字节显示。

   9. 如果使用 -ioff 参数启动多个控制台 RAR，则完成最后一个 RAR 复制
      后关闭 PC。以前，此参数由第一个完成的副本处理。

  10. 已增加 .iso 文件读写缓冲区的大小。在某些情况下，它可以帮助提高
      .iso 提取的性能，例如网络驱动器。

  11. 如果提取对话框中的“删除归档”选项应用于 volname.part＃format 
      中的一组 RAR 和 REV 卷，则 WinRAR 也将删除 REV 卷。以前只
      删除 RAR 卷，但保留 REV 文件。

  12. 如果提取对话框中的“删除归档”选项应用于具有.zip.001、.zip.002、
      .zip.003 扩展名的 ZIP 卷集，则 WinRAR 将删除所有 ZIP 卷。以前
      只为此类卷命名方案删除 .zip.001 卷。

  13. 如果我们解压 arcname.rar 时使用“Extract to arcname”资源管理器
      上下文中的这个菜单命令，而且“arcname”文件已经存在，那么 
      WinRAR shell 扩展会建议采取“Extract to arcname~1”进行代替。
      以前，此上下文菜单命令会尝试创建与现有文件同名的文件夹，
      但以失败告终。

  14. 如果我们从资源管理器上下文菜单中压缩带有 .lnk 扩展名的快捷
      方式文件，则会将 .lnk 文件本身添加到归档中。以前的版本添加了
      .lnk 文件目标而不是 .lnk 文件。

  15. Windows 不允许超过 4 GB 的可执行文件，因此 WinRAR 在尝试创建 
      4 GB 或更大的 RAR SFX 卷时会立即发出错误警告。以前 WinRAR 
      仅在创建第一个 RAR 卷后才发出此类错误。

  16. 显示 7z 多卷归档的总提取进度。提高 7z 总提取进度的准确性。

  17. 已将“查找”命令和“磁盘和文件夹”下拉列表重命名为“搜索
      区域”。除了现有的选项之外，它还包括一个新的“选定项目”选项，
      限制在 WinRAR 文件列表中对选定的文件和文件夹进行搜索。

  18. “查找”命令显示状态栏中找到的项目数。

  19. “诊断消息”窗口在单独的列中显示归档名称，以便为冗长的归档
       名称提供更好的消息可见性。

  20. 命令行 WinRAR 模式中的 -isnd[-] 参数允许覆盖 WinRAR 设置中的
     “启用声音”选项。使用 -isnd 来启用声音通知，使用 -isnd- 来将
      其关闭。

  21. 来自 Check Point Software Technologies 的 Nadav Grossman 
      向我们介绍了 UNACEV2.DLL 库中的安全漏洞。上述漏洞可以在解压缩 
      ACE 归档时在目标文件夹内部或外部的任意文件夹中创建文件。

      WinRAR 使用此第三方库来解压缩 ACE 档案。自 2005 年以来 
      UNACEV2.DLL 一直尚未更新，我们无法访问其源代码。因此我们决定
      放弃 ACE 归档格式支持来保护 WinRAR 用户的安全性。

      我们感谢 Check Point Software Technologies 报告上述问题。
   
  22. 问题修复：

      a) 已修复使用 -o 参数更新 RAR 归档中的文件时，控制台 RAR 
         在覆盖提示中混合源文件大小、目标文件大小和时间的问题；

      b) 已修复将文件从 32 位应用程序拖动到 64 位WinRAR 窗口
         不起作用的问题；

      c) 已修复应用于文件夹的 WinRAR Shift + Del 命令可能无法删除
         其某些子文件夹的问题。此命令用于永久删除文件和文件夹，
         而不是将其移动到回收站;

      d) 已修复如果归档路径名从路径分隔符开始，则文件夹树型面板
         无法更改文件夹的问题，例如使用 tar 工具中的 --absolute-names 
         选项创建而成的归档中便发生这种问题；

      e) 已修复如果在 SFX 注释中指定了相对“Path=.\somefolder”，而且 
         SFX 归档在提取时需要提升特权，则创建“somefolder\somefolder”
         而不是“somefolder”的问题；

      f) 已修复修改现有 RAR4 卷的命令时，将卷号字段重置为1的问题。
         虽然该问题不影响提取，但 WinRAR 显示这些卷的错误卷号；

      g) 已修复从损坏的 RAR 文件中读取注释时发生崩溃的问题；

      h) 已修复“查找”命令和“搜索结果”窗口中的工具栏未按照不同
         的工具栏图标大小进行相应调整的问题。


   版本 5.61 

   1. 即使用户并非从第一个 RAR 卷开始提取，“删除归档”这个提取选项
      也会删除所有卷，不过第一个卷是存在的，而且已成功解压所有文件。
      在这种情况下，即使 WinRAR 能够找到第一个卷，并从头开始处理卷集，
      以前的版本也会忽略“删除归档”。
   
   2. 对于含有加密文件名的归档，“资源管理器”文件属性的“归档”页面
      上不显示压缩率栏。WinRAR 无法可靠地为这些没有密码的归档计算压
      缩率，之前它只显示 0％。
   
   3. 问题修复：

      a) 已修复如果使用“Ctrl+P”设置了错误的全局密码，WinRAR 在尝试
      使用加密文件名打开 RAR5 归档时，将无限显示“指定的密码不正确”
      这则消息的问题；

      b) 已修复密码对话框中的内存管理错误，该错误可能导致访问已释放
      的内存，然后引起崩溃。该问题也可能与安全风险有关；

      c) 已修复受损 RAR、ACE 和 LZH 归档中引起的崩溃问题。该问题也可
      能与安全风险有关；

      d) 已修复在启动时，WinRAR 可能会导致其他一些应用程序的菜单栏中
      出现短暂闪烁的问题；

      e) 已修复在搜索 CAB 归档时，WinRAR 的“查找”命令对照所有已归档
      的文件匹配“带查找的字符串”时，忽略“待查找的文件名”掩码这个
      问题；

      f) 已修复SFX 模块的“License（许可证）”命令不设置许可证窗口的
      标题这一问题。

      g) 已修复如果 WinRAR 设置中的“启动文件夹”包含尾随的反斜杠，
      WinRAR 则忽略首个“Up one level（升一级）”命令的问题。


   版本 5.60

   1. 我们已更新了 WinRAR 图形设计。

      我们非常感谢 http://weirdsgn.com 和 http://icondesignlab.com 的
      设计师参与这次更新，并十分荣幸地宣布 WinRAR 现在使用由来自          
      http://weirdsgn.com.Aditya 的Nugraha Putra 精心设计的新图标集。 

      下方链接提供以前的 WinRAR 图标，可用作界面主题：
      https://rarlab.com/themes/WinRAR_Classic_48x36.theme.rar

   2. 对于受恢复记录保护的 RAR5 归档，大幅度提高了“Repair”命令的效率。
　　　现在它可以检测无限大小的删除和插入，也可以作为混码数据，包括从
　　　多个受恢复记录保护的归档中提取的数据，并能以任意顺序合并到单个
　　　文件中。
   
   3. 已将“结束时关闭电脑”这个归档选项更改为“结束时”下拉列表，因此
　　　您可以在归档完成后关闭、休眠或睡眠您的电脑。

   4. 使用 -ioff 或 -ioff1 命令行参数，在完成操作后关机，使用 -ioff2 
　　　则进入休眠状态，使用 -ioff3 则使电脑睡眠。

   5. 如果在 -z<file> 参数中指定的注释文件的编码未使用 -sc 参数进行定义，
　　　则 RAR 会尝试根据字节顺序掩码和数据有效性测试来检测 UTF-8、
　　　UTF-16LE 和 UTF-16BE 编码。

   6. WinRAR 会自动检测 ZIP 归档注释的 ANSI、OEM 和 UTF-8 编码。
   
   7. “设置/查看器”中的“内部查看器/使用 DOS 编码”选项已被替换为
　　“内部查看器/自动检测编码”。
　　　如果启用了“自动检测编码”，内部查看器将尝试检测 ANSI（Windows）、
　　　OEM（DOS）、UTF-8 和 UTF-16 编码。

   8. 如果右键点击一个归档，通常在 Windows 资源管理器的上下文菜单中
　　　只包含提取命令。您可以通过在“设置/集成/上下文菜单项”中的“始终
　　　显示归档项目”这个选项，来指定一个或多个由空格分隔的掩码来覆盖此
　　　设置，因此即使文件被识别为归档，也始终会为这些文件类型显示归档命
　　　令。如果您希望所有归档都包含归档和提取命令，请在此处放置“*”。
   
   9. SFX 模块的“SetupCode”命令接受一个可选的整数参数，帮助您控制安装
　　　程序和 SFX 自身的错误代码映射。它也可以在“高级 SFX 选项/设置”
　　　对话框中作为“退出代码调整”选项进行访问。
   
  10. 新增“显示更多信息”这个 WinRAR 命令行 -im 参数。如果归档测试成功，
　　　它可与“t”命令一起使用来发送消息。没有这个“t”参数时，如果未找
　　　到错误，则静默完成命令。

      该参数仅适用于 WinRAR.exe，而且被控制台 RAR.exe 忽略。

  11. 如果在解压 ZIP 文件中的加密文件时输入了错误的密码，WinRAR 
　　　将建议您再次输入同一文件的有效密码，而不是中止提取。

  12. 如果在打开或解压含有加密文件名的 RAR 压缩文件时输入了错误的
　　　密码，WinRAR 将建议您再次输入有效的密码而不是中止操作。以前的
　　　版本已为含有加密文件数据的 RAR 归档执行了此操作，但是对于含有
　　　文件名加密的归档中止了此操作。

  13. WinRAR 可以优先于实际的 GZIP 归档文件，识别含有任意数据的 GZIP
      文件，例如 .scexe 固件文件。

  14. 可以在归档对话框的“待添加文件”字段中指定 @filelist 参数。
　　　在这种情况下，WinRAR 将尝试列出“filelist”文件中的归档文件列表，
　　　“filelist”文件是纯文本，每行一个文件名。

  15. 信息对话框：
      
      a)  已更新压缩比率图形；

      b)  对于含有加密文件名的归档，在“加密”字段中显示“名称和数据”。

  16. 如果将鼠标指针放在操作进度窗口中的归档名称上，则会显示完整的归档
　　　名称。如果归档名称很长并且不适合可用的窗口空间，该功能会很有用。

  17. 如果将 -ts1 参数与 -u 或 -f 参数一起使用，则以 1 秒的精度执行文件
　　　时间比较。以前在这种情况下，我们可能会错误地认为添加文件比归档更新，
　　　这是因为我们仅比较了高精度添加文件时间和低精度归档文件时间。

  18. 如果没有要更新的文件，“更新”和“刷新”命令（命令行模式下的“u”
　　　和“f”）会立即退出。以前，这两个命令在更新含有恢复记录或快速打
　　　开信息的归档时，将在退出前创建一个临时归档。

  19. 从 WinRAR GUI 外壳创建了 500 个卷后将发出提示，因此用户可以
　　　继续或退出进一步的归档。这是为了防止在错误输入卷大小的情况下
　　　创建数千个卷。

  20. WinRAR 使用兆字节而不是字节，作为归档对话框中卷大小字段的默认
     单位。

  21. 修复包含受损恢复记录的 RAR5 归档文件后，“修复”命令将发送
　　　“恢复记录受损”这条消息。此前，这类消息仅由“测试”命令发出，
　　　“修复”以静默方式处理大部分损坏的恢复记录。

  22. 问题修复：

      a) 已修复在处理受损 RAR 归档时潜在的安全问题；

      b) 已修复未正确显示含有 PAX 扩展报头的 TAR 文件中的非英文字符
　　　　这个问题；

      c) 已修复“rar x arcname.rar ..”命令将文件解压到当前文件夹而不是其
         父文件夹的问题；

      d) 已修复将文件从 Windows 资源管理器粘贴到在 WinRAR 中打开
         的归档时，在完成归档前，阻止资源管理器中进一步复制和粘贴
         操作的问题。

      e) 已修复在输入错误密码时，SFX 模块无限发送“指定的密码不正确”
         这条信息，而不提示输入正确密码的问题；

      f) 已修复即使提取对话框中的“文件时间”选项被关闭，在解压缩 
         ZIP 归档时也始终设置文件夹时间的问题；

      g) 已修复如果在提取时选择了“删除存档：始终”这个选项，而且用户
         在文件覆盖或密码提示中按下了“取消”，则即使取消 .zip 和 .7z 
         格式的提取也会删除其中的归档这个问题。

   
   版本 5.50

   1. WinRAR 和命令行 RAR 默认使用 RAR 5.0 归档格式。
    您可以使用归档对话框中的“RAR4”选项或 -ma4 命令行参数将其更改
    为 RAR 4.x 兼容格式。
      
     如果您希望默认使用 RAR 4.x 格式，请使用 WinRAR 设置的“压缩”
    页面上的“创建默认...”按钮，并在显示的对话框中设置“RAR4”。

     此变更仅影响干净的新安装。如果您已将 RAR 格式保存在以前版本中
    的默认压缩配置文件中，WinRAR 会沿用保存的设置。
   
   2. 在“整理密码”对话框中使用“设置主密码”按钮，对保存的密码记
    录进行加密，由此来防止未经授权的访问。 
      
     如果使用主密码保护保存的密码，则需要输入主密码，并在密码提示中
    按“确定”进行访问。如果输入的密码与主密码不匹配，则将其视为常规
    密码进行归档操作。

      一旦输入主密码，在关闭 WinRAR 之前它将始终有效。如果您希望看到
    保护的工作方式，请在指定主密码后关闭 WinRAR 并重新打开。依次输入
    有效和空的主密码，可以从先前受保护的密码记录中删除加密。

      WinRAR 版本为密码管理器使用新的数据格式，因此保存在“整理密码”
    对话框中的密码不能被旧版本读取，但它不影响归档加密格式，已加密的
    归档兼容以前版本的 WinRAR。只有在您保存管理器数据时，并且不是安
    装 WinRAR 后立即执行操作，管理器数据才会转换为新格式。

   3. 在压缩配置文件中保存密码时，会提示设置主密码。您可以输入主密码
    来加密存储在注册表中的密码数据，并保护其免受未经授权的访问。您
    需要在密码提示对话框中输入主密码才能访问此类压缩配置文件。

      一旦输入主密码，在关闭 WinRAR 之前它将始终有效。如果您希望
    看到保护的工作方式，请在指定主密码后关闭 WinRAR 并重新打开。

   4. 默认情况下，WinRAR 使用 CTR 模式中的 AES-256 来加密 ZIP 归档。
    显然 AES-256 比 ZIP 2.0 传统加密算法更安全，它可以兼容一些较旧
    版本的解压缩软件。如果需要与这些工具兼容，您可以在密码对话框
    中启用“ZIP 传统加密”选项，或在命令行模式下使用 -mezl 参数。 
   
   5. 新增支持对 Lzip 压缩程序创建的 .LZ 压缩文件进行提取。
   
   6. 现代的 TAR 工具可以保存 TAR 压缩文件内专用 PAX 扩展报头中的高精
    度文件时间、长文件名和大型文件大小。现在，WinRAR 支持这样的 PAX 
    报头，并在提取 TAR 压缩文件时使用它们。

   7. 压缩对话框的“时间”页面上提供新的“存储修改时间”选项，可用于
    禁止将文件修改时间保存在 RAR 5.x 归档中。先前的“高精度修改时间”
    选项已被替换为“高精度时间格式”。

   8. 在“设置/常规”对话框中新增“标题栏中的完整路径”这一选项。如果
    启用此项，当前打开的文件夹或归档的完整路径将显示在 WinRAR 标题栏中。

   9. 在“设置/压缩”中新增“首先作为压缩文件打开的文件类型”这一选项。
    在此处，您可以定义在文件管理模式下的 WinRAR 文件列表中，如果对带有
    非压缩文件扩展名以及有压缩文件内容的文件使用回车键或执行双击操作，
    该如何处理。例如 .docx 或自解压 .exe 归档。您可以指示 WinRAR 先以
    压缩文件打开这些文件，或在相关联的程序中执行或打开它们。

      默认设置是打开自提取 exe 并运行带有非压缩文件扩展名的其他类型压
    缩文件。

     无论这些选项如何设置，您始终可以通过对 WinRAR 文件列表中的相应名称
    按 Ctrl+PgDn 组合键来打开这些归档文件。

     已将归档和提取文件的默认文件夹从“设置/压缩”移动到“设置/路径”。

  10. 在“文件”菜单中新增“复制全名到剪贴板”这一命令，帮助您将所选文
     件的全名添加到剪贴板。      

  11. 在 WinRAR 中右键点击文件列表时，已更改了显示的上下文菜单：

     a)	已从此上下文菜单中删除工具栏或主菜单上也显示的一些命令，例如
     “查看”和“修复”，；

     b) 新增“复制全名到剪贴板”这一命令；

     c)	新增用于可执行程序的“运行”，针对相关联文件的“在相关联的应用
     程序中打开”，以及针对压缩文件的“显示压缩文件内容”这些选项，允许
     用户选择一种方式来处理 SFX 压缩文件和带有非压缩文件扩展名的压缩文
     件。

         这些项目仅适用于文件管理模式，不在压缩文件内提供。

  12. 已将 LZ 和 ZIPX 添加到“设置/集成”对话框中的关联列表。

  13. 已将 LZ 和 ZIPX 扩展添加到默认的格式列表，以便在无参数的情况下调
     用 -ms 参数（“指定要存储的文件类型”）。

  14. 您可以在 –sc 参数中指定“f”字符集值来使用 UTF-8 编码。
     例如：

      rar a -scfl arcname @filelist.txt

      用于将 filelist.txt 的内容读成 UTF-8 文本。

  15. RAR“lt”和“vt”命令以纳秒精度显示文件时间。这种精度用于由 
     RAR/Unix 5.50 及更高版本创建的 RAR5 压缩文件。WinRAR 创建的压缩文
     件具有 100ns 的文件精度。

  16. 现在，-ts 参数仅支持“+”、“ - ”和“1”精度的修饰符。使用“+”
     来以最大精度保存文件时间，“-”略过文件时间，“1”以 1 秒精度进行
     保存。以前使用“2”和“3”修饰符来定义的中等精度模式在 RAR 5.0 
     压缩格式中不可用，并由 -ts 参数忽略。

  17. 如果在解压 RAR5 压缩文件中的加密文件时输入了错误的密码，WinRAR 
     将建议您再次为相同的文件输入有效的密码，而不是中止解压。
   
  18. 如果在操作进度窗口中将鼠标指针放在压缩文件的名称上，则显示文件路
     径信息。

  19. 当前处于活动的压缩配置文件的名称将在“配置文件...”按钮上方的压缩
     对话框中显示。

  20. 如果从压缩文件子文件夹内部调用“查找”命令，则“要查找的文件名”
     将包含此子文件夹的路径。因此“查找”将仅从此子文件夹开始搜索。

  21. 问题修复：
   
     a) 已修复解压受损的 RAR 归档时，存在的崩溃和安全漏洞问题；

     b)	已修复 WinRAR 无法解压缩 ZIP 压缩文件中使用 XZ 算法压缩并使用
     AES 进行加密的文件这一问题。
      
     c)	已修复如果在 WinRAR 设置中关闭了“Windows 进度条”选项，并使用
     “将每个文件分别压缩”的压缩模式，则总进度条中的“金色”部分未正
     确显示压缩数据比例的问题；

     d)	修复如果多卷 SFX 压缩文件的总体积大小超过 4 GB，则 SFX 压缩文件
     提取进度错误的问题；

     e)	已修复在压缩文件夹名称包含尾随空格时，如果用户选择并提取了非根
     目录压缩文件夹中的某些文件夹，并关闭了“允许潜在不兼容的名称”这一
     提取选项，则 WinRAR 可能在提取的文件夹名称中丢失一个或多个主要字符
     的问题；

     f)	已修复如果以 1 秒精度在 RAR5 压缩文件中仅保存了创建时间或上次访
     问文件时间，例如使用 -ma5 -tsm- -tsa1 参数，则在提取时此保存时间被
     忽略的问题。


   版本 5.40

   1. “选项”菜单中的“名称编码”子菜单允许您为归档文件名称选择编码。
      这种选择将影响归档浏览和提取命令。您可以使用“Ctrl+E”键盘快捷
      方式来快速访问这个菜单。

      在解压没有 Unicode 文件名称的压缩文件时，该功能很有用。
      例如，将俄文指定为非 Unicode 程序使用的语言的 Windows 系统中，
      解压含有中文压缩文件名称的 zip 文件时。

   2. 如果在与常规 RAR 卷相同的文件夹中存在 RAR 恢复卷（.rev 文件），
      归档测试命令将在测试完 .rar 文件后验证 .rev 内容。

      如果您希望在不检查 .rar 卷的情况下仅测试 .rev 文件，您可以在 
      WinRAR 文件列表中选择 .rev 文件，并仅向其应用“Test”或在命令
      行中运行：

      rar t arcname.part1.rev

   3. 虽然 NTFS 文件系统允许在文件名后尾随空格和点，一些 Windows 程序无
      法正确处理这些名称。如果在提取对话框的“高级”页面中关闭“允许可
      能存在的不兼容名称”这个选项，WinRAR 在提取时将从文件名中删除任何
      尾随的空格和点。

      默认情况下关闭这个选项。

      命令行 RAR 在提取时也会删除尾随的空格和点，除非指定了 -oni 参数。
  
   4. 过去如果无法读取一些归档文件夹，将中止“同步归档内容”更新模式
      （-as 命令行参数）。现在 WinRAR 继续执行该操作，并保留那些匹配不可
      读文件夹的归档文件。

   5. WinRAR 的“Shift+Del”删除命令可用来删除包含尾随空格和点的非标准文
      件名的那些文件夹。在 WinRAR 的早期版本中，常规的删除到回收站命令和
      “Shift+Del”命令无法删除这些文件夹。

      不像 Del 命令，Shift+Del 永久删除文件，而不是将文件移到回收站。对
      于带有只读和系统属性的文件，不会发送额外的提示。

   6. 您可以将文件夹树面板中的文件夹拖放到其他程序或桌面，以便对其进行复
      制或解压缩。拖动树面板根目录中的压缩文件图标来解压缩整个归档。

   7. 提取对话框中的“新建文件夹”按钮将基于压缩文件名称而不是常规的“新
      建文件夹”来建议新的文件夹名称。

   8. 命令行 RAR 版本信息：

      a) 如果指定 -iver 参数，RAR 显示版本号并退出。您可以仅运行
      “RAR -iver”；

      b) 对于 -iver 参数，将在 Windows RAR 版本信息中显示“x86”或“x64”，
      对于其他命令，将在版权标题中显示“x86”或“x64”。

   9. 如果在没有可选 <pwd> 参数的情况下使用 -p 参数，也可以使用文件重
      定向或管道来设置密码。

      例如：rar -p myarc.rar myfiles < psw.txt

   10. 如果“arcname.partN”不存在但是“arcname.part#.rar”存在，
      命令行 RAR 会将“arcname.partN”视为“arcname.partN.rar”。

      例如，允许运行：

      RAR x arcname.part01

      来从 arcname.part01.rar 开始提取。

   11. 已改善对于 7z 压缩文件的支持：

      a) 正确检测“固实”状态，并在 WinRAR 的“Info”命令中对 7z 压缩文件
      进行报告；

      b) 在 WinRAR 的 Info 命令中为 LZMA 和 LZMA2 7z 压缩文件显示字典大小；

      c) 在 WinRAR 中浏览压缩文件内容时，将 7z 固实块内文件的未知压缩大小
      表示成“?”而不是“0”。

   12. 已将 RAR 压缩文件的备注最大长度从 64 KB 增加到 256 KB。

      由于在压缩文件注释中保存 SFX 脚本命令，因此在 SFX 归档中允许较长的
      正文和许可证文本。

   13. 在 Windows 高 DPI 模式下，将相应放大默认的 WinRAR 查看器字体的
      大小。

   14. 参数 -scul 也可用于处理 big endian UTF-16 列表文件，前提是它们有
      正确的字节序标记。
      过去它只允许 little endian 列表文件。

   15. 现在支持的 Windows 最低版本是 Windows XP SP3。在不含服务包的 
      Windows XP 系统中，WinRAR 不再运行。

   16. 已删除“设置/文件列表/允许所有大写名称”这个选项。该选项旨在简化
      从 MS DOS 到 Windows 的过渡，现在已不再需要。

   17. 已修复以下问题：

      a) WinRAR 5.31 x64 版本的“Compress and email（压缩并发送邮件）”
      命令不适用于 Microsoft Outlook x64；

      b) 如果在系统语言为英文或其他非从右至左语言的 Windows 版本中安装
      了从右至左语言版本的 WinRAR 5.31，WinRAR 可以将 Windows 资源管理器
      的布局更改为从右至左；

      c) 如果将归档保存在一个没有“写入”权限的文件夹中，而且使用拖放到
      可写入文件夹的方式提取了压缩文件内容，WinRAR 发送不必要的权限升级
      提示。


   版本 5.31

   1. 以下问题已经在 Windows 高 DPI 模式里得到更正：

      a) 如果 Windows 设置里的文本大小设置为 150% 或更高，则 WinRAR 
         帮助里的字体大小并未随之增大，导致字体太小；
         
      b) 对于 125% 或更大的 Windows 文本设置，WinRAR 文件列表里的默认
         栏宽比预期小。

   2. 为从右到左书写的语言改进了界面：

      a) 在简单 WinRAR 提示（例如对删除归档的文件或清除日志文件的确认）
         里显示正确的文本对齐；

      b) 在多页对话框（例如归档和提取选项或 WinRAR 设置）里的“确定”，
         “取消”，“帮助”按钮，已正确地对齐并翻译为默认的 Windows
         显示语言。

   3. 问题修复：

      a) 调用一些 Windows API 函数，会导致 WinRAR SFX 模块可以从其自己
         的可执行文件夹里加载 DLL 库。
         这可能导致安全风险，如果带有恶意代码的 DLL 文件保存在与 SFX 
         文档相同的文件夹里。目前在 Windows Vista 和更新的版本里 SFX 
         模块采取了额外的步骤来防止此类情况。
         
         请小心没有安装最新 Windows 安全补丁的用户以及 Windows XP 用户
         仍然会受到影响，因此他们必须额外谨慎，从没有可疑 DLL 文件的文
         件夹里运行 SFX 文档；
      
      b) WinRAR 5.30 无法从文件列表里运行 .lnk 文件。


   版本 5.30

   1. 2015年9月和10月新闻里发布的在 WinRAR 自解压文件里存在重大漏洞的信息
      是不正确的。不幸的是，大众媒体未能承认描述为 WinRAR 漏洞的其实是在
      2014年11月已打过补丁的 Windows OLE 漏洞：

      https://technet.microsoft.com/en-us/library/security/ms14-064.aspx

      即使未打补丁，此 Windows OLE 漏洞也不会对 WinRAR SFX 压缩文件引入新
      的风险因素。

      更多详情请阅读 http://rarlab.com/vuln_sfx_html2.htm。

      无需为 WinRAR 打任何补丁。

   2. 新增提取由 7-Zip 创建的多部分 ZIP 压缩文件的功能。这些压缩文件拥有 
      .zip.001、.zip.002 等文件扩展名。您需要在 WinRAR 中打开 .zip.001 
      文件来浏览或解压此类压缩文件。在开始提取前必须将所有部分保存在同
      一个文件夹中。

   3. 新增提取被划分成多个部分（使用 .001 和 .002 这些扩展名）的文件这
      一功能。您可以像打开常规压缩文件那样打开 .001 文件，然后解压其内容。
      WinRAR 将合并所有部分，并将它们保存到提取的文件。在开始提取前必须
      将所有部分保存在同一个文件夹中。

      在“设置/集成”对话框中的“WinRAR 关联文件”列表里已包含了“001”
      这一项。
         
   4. WinRAR 文件列表允许您使用鼠标的“后退”和“前进”按钮或“Alt+Left”
      和“Alt+Right”键盘快捷方式来浏览最近访问过的文件夹。

   5. 在 RAR 命令行中，允许在要压缩的文件名中使用文件夹通配符。例如：

      rar a backup c:\backup\2015*\*

      将压缩 c:\backup 下的所有 '2015*' 文件夹。使用 -r 参数在 c:\backup
      的子文件夹里也搜索 '2015*'。

   6. 在开始提取时，将 SFX 压缩文件中的“提取”按钮更改成“暂停”，这样
      便能暂停 SFX 提取并在稍后继续提取。

   7. 在执行搜索命令时，“查找文件”对话框中的“忽略已加密的”选项帮助您
      静默跳过加密的压缩文件。
   
   8. 归档测试命令适用于 tar.gz、tar.bz2 和 tar.xz 压缩文件。由于 TAR 格
      式不提供文件数据校验和，WinRAR 仅检查GZIP、BZIP2 或 XZ 容器的有
      效性。
   
   9. 向 WinRAR 诊断消息窗口添加一个新的字符串，可能在发生成千上万错
      误时比较慢并影响操作性能。现在无论多少错误数量它都能快速地工作。

  10. 用于 -sc 参数的新对象“R”定义发送至重定向文件和管道的控制台 RAR 
      消息的编码。例如：

      rar lb -scur data > list.txt

      将生成带有压缩文件名的 Unicode 格式 list.txt。

  11. 已调整 -ripriority[sleep_time] 参数中的休眠时间参数来降低对 RAR 
      性能的影响，并恢复相关操作的记录。需要更高的休眠时间值来将系统负载
      降低到和之前版本一样的级别。

  12. 控制台 RAR 的 l 和 v 命令以 YYYY-MM-DD 格式显示文件时间。

  13. 提取在 Unix 中创建的 RAR 和 ZIP 压缩文件时，WinRAR 将分解的 Unicode 
      字符映射成预编辑的字符。对于某些 Unix 和 OS X 压缩文件而言需要这种
      转换，以便在 Windows 中正确解压非英文的压缩文件名称。该功能适用于从
      Windows Vista 开始的 Windows 版本。

  14. 在解压 .7z 压缩文件时为创建的所有文件夹设置修改时间。早期版本只为非空
      的文件夹设置修改时间。

  15. WinRAR 通过闲置超时来防止计算机进入休眠，直到完成当前操作（例如压缩、
      提取或处理其他压缩文件）为止。

  16. 在提取 .arj、.lzh 和 .cab 压缩文件（多卷压缩除外）时将显示总进度条。

  17. 在压缩后删除文件时，以及在清理压缩文件的归档属性时将显示进度条。

  18. "Test" 命令还验证 RAR 3.x - 5.x 压缩文件中 NTFS 备选数据流的内容。
      过去仅在执行提取命令期间检查其内容。

  19. SFX 模块设置 sfxstime 环境变量，其中包含以 "YYYY-MM-DD-HH-MM-SS-ms"
      格式作为开始时间的模块。
      如果您需要生成基于时间的唯一安装路径，您可以在 Path 命令里指定它，例
      如 "Path=myapp-%sfxstime%"。

  20. 问题修复：

      a) 在尝试向已经存在的卷添加文件时，控制台 RAR 崩溃而不是显示覆盖提示；

      b) 控制台 RAR 的 lt 命令未在文件时间戳中显示秒；

      c) 如果 .xxe 文件的正文里未包含“section N of xxencode” 字符串，
         WinRAR 无法解压这些 .xxe 文件；

      d) 如果使用 -os 参数保存的 NTFS 备选数据流被划分成不同的卷，WinRAR 
         无法恢复其内容。


   版本 5.21

   1. “设置/集成/上下文菜单项目”对话框中的“拖放上下文菜单”选项允许您在
       使用鼠标右键拖放文件后，禁止在显示的上下文菜单中禁用 WinRAR 归档和
       解压命令。

   2. 如果在与 WinRAR 安装程序相同的文件夹中存在 winrar.ini 文件，会在完成
      安装后将 winrar.ini 复制到 WinRAR 程序文件夹中。

   3. 以前版本有时会生成略小于所需大小的 RAR5 卷，现在不太可能发生这种情况。
      在大多数情况下，卷大小等于用户指定的大小。

   4. 现在默认情况下，WinRAR 在提取时跳过带有链接目标中绝对路径的符号链接。
      您可以在解压对话框的“高级”页面使用“允许符号链接中的绝对路径”选项
      或使用 -ola 命令行参数来启用这些链接的创建。

      这些链接指向解压目标文件夹以外的文件夹会带来安全风险。只有在您确保归档
      内容十分安全（例如您自己的备份）时才能启用此解压。
      
   5. 问题修复：

      a) WinRAR 5.20 在从存储于受“用户账户控制”（UAC）保护的文件夹中的归档
         中运行可执行程序时，会弹出不必要的 UAC 提示。因为在这种情况下不会将
         任何文件解压到含有归档的文件夹中，所以无需 UAC 提示；

      b) 过去 WinRAR 只在解压缩 RAR 和 ZIP 归档格式时才会覆盖具有只读属性的
         文件。现在也为 WinRAR 支持的其他归档格式执行此操作；

      c) 在向多个归档应用“Convert（转换）”命令，以及在启用“添加恢复记录”
         选项时错误地显示“已用时间”和“剩余时间”。

   
   版本 5.20

   1. 如果“Windows 用户账户控制”防止提取或归档命令在受系统保护的文件夹中创建文件，
      WinRAR 将尝试使用管理员特权启动其另一个副本来完成这个操作。确认权限提升来响应
     “用户账户控制”提示很必要，这样才能允许第二个 WinRAR 副本运行。

   2. 您可以使用鼠标右键将资源管理器中的文件拖放到一些文件夹中，并从上下文菜单中选
      择 WinRAR 归档命令，以便在目标文件夹中创建含有这些文件的归档。

   3. 现在可以使用 WinRAR.ini 文件而不是注册表来保存 WinRAR 设置。如果您计划在便携
      式介质（例如优盘）中安装 WinRAR，并在不同的计算机上运行它，您可能会更喜欢上述
      方式。

     请参阅 WinRAR 帮助文件“配置设置”章节中的“WinRAR.ini 文件”来获得更多详细信息。

   4. 已使用 XZ 压缩算法为 ZIP 和 ZIPX 归档新增提取支持。

   5. 如果 ZIP 或 ZIPX 归档包含除常规的“Store”或“Deflate”以外的任何压缩算法，将
      在归档信息对话框的“提取版本”字段中显示算法名称。
      将为对 WinRAR 而言未知的算法名称分配“m<num>”名称，其中“num”是压缩算法的数
      字标识符。

   6. 在用于 WinRAR 支持的归档格式的 Windows 上下文菜单中，现在提供“使用WinRAR 打
      开”这个命令。可以在 WinRAR 的“设置/集成/上下文菜单项目...”对话框中通过“使
      用WinRAR 打开（用于常规归档）”这个选项将其关闭。

   7. 命令行 RAR 可以从存储在 RAR 程序文件夹内的 rar.ini 文件读取其中的开关默认设置。
      以前只能使用“switches=<switches>”这个字符串来为所有 RAR 命令定义相同的开关设
      置。现在 rar.ini 还允许您使用以下语法为个别 RAR 命令指定单独的开关设置。

      switches_<command>=<any RAR switches, separated by spaces>

      例如：

      switches_a=-m5 -s
      switches_x=-o+

   8. 命令“ch”现在也为 ZIP 归档支持 –tl、-cu、-cl 开关。
     以前“ch”只为 RAR 归档格式允许这些开关。

   9. 对于缺少文件时间信息的归档格式（例如 .bz2、.xz 和 .Z），WinRAR 将向提取出的文
      件设置容器归档修改时间。这不应用于 tar.bz2、tar.xz 和tar.Z，因为它们使用存储
      在 tar 报头中的文件时间。
   
  10. bzip2 归档现在支持“保留受损文件”这个提取选项。

  11. 在高 DPI 的屏幕模式中（例如正常文本大小的 150% 或 200%），将以正确的比例相应
      扩大 Windows 上下文菜单中的 WinRAR 图标。

  12. 现在可以通过“HKEY_CURRENT_USER\Software\WinRAR\Policy”注册表项的“Benchmark”
      变量来禁用 WinRAR 的“Benchmark”命令。在多用户环境中，“Benchmark”命令可能滥
      用共享的计算资源。
      请参阅 WinRAR 帮助文件“配置设置”章节中的“注册表变量”来获得更多详细信息。

  13. 除了“sfxcmd”变量包含完整命令行以外，SFX 模块仅设置包含命令行参数的“sfxpar”
      变量，没有作为前缀的 SFX 模块名称。将在启动“Setup”命令中指定的程序前设置这些
      变量。

  14. 控制台 RAR 中的文件覆盖提示显示现有文件和新文件的大小和修改时间。

  15. 在使用 –si 开关从 stdin 进行归档操作时，RAR 会将当前的系统时间设置成已归档文
      件的修改时间。以前版本根本不设置这个时间。

  16. 现在可以同时使用 -si 和 -v<size> 这两个开关。在从 stdin 进行归档操作时，以前版
      本不允许创建卷。

  17. 在将 RAR 或 ZIP 归档中大于等于 4 GB 的文件解压到 FAT32 格式的分区时，现在将弹
      出警告，这样用户便能取消这个操作。FAT32 不支持上述大小的文件。

      在使用“Store”（-m0）方式开始创建 RAR 归档时，如果预估的归档大小大于等于 4GB，
      也将弹出这个警告。

  18. 已将“设置/集成”对话框中的“全选”按钮重命名成“全部切换（Toggle all）”。现
      在它在已全选的情况下，取消选择归档格式。

  19. “删除归档”提取选项现在正确删除所有 .zip 和 .7z 卷。以前它只删除这些归档格式
      设置中的第一个卷。


   版本 5.11

   1. WinRAR 可以解压包含文件夹并带有 pax 扩展头的 TAR 压缩文件。
      早前的版本无法解压此类文件。

   2. 对于 7-Zip 压缩文件支持“保留损坏的文件”解压选项。

   3. 问题修复：

      a) WinRAR 5.10 在解压缩 ZIP 文档时无法设置“隐藏”，“只读”
         和“系统”文件属性；

      b) WinRAR 5.10 无法更新包含以未压缩形式存储的嵌套 ZIP 文档的
         自解压 RAR 文档；

      c) 以“不保存路径”选项创建的 ZIP 文档包含不必要的文件夹空名记录；
         
      d) 压缩归档的文件在 Windows XP 中的修改时间会有1小时的错误；

      e) 删除 RAR5 固实压缩文件（包含以 -ver 参数保存的文件）中的文件，
         会导致此类文件丢失版本信息；

      f) 在16位和24位屏幕彩色模式和 Windows 定制文本尺寸大于 100% 的情况下，
         显示黑色矩形而不是工具条按钮。


   版本 5.10

   1. 已新增支持对使用 BZIP2、LZMA 和 PPMd 压缩的 ZIP 和 ZIPX 压缩文件进行提取。

   2. 已新增支持对 7z 格式的分割压缩文件进行提取（.7z.001, .7z.002, ...）。

   3. 新增对于 AES-NI CPU 指令的支持，改进了 RAR 加密和解密的性能。

   4. 在高 DPI 显示模式下，已大幅度提高了默认主题图像的质量。

   5. 现在可以在压缩文件对话框的“文件添加”字段中使用环境变量（例如 %temp%）。

   6. 在创建 RAR 压缩文件时可以使用参数 -ai，这样就可以存储通常用于文件和文件夹的
      预定义值，而不是实际属性。以前只能在提取时使用这个参数。


   版本 5.01

   1. RAR 5.0 压缩文件能包含可选的快速打开信息，这可以通过 -qo[-|+] 参数或压缩文件
	对话框中的“快速打开信息”选项组进行控制。该功能帮助您更快打开 WinRAR 中的
	压缩文件内容。

	此版本为含有快速打开信息和服务记录（例如 NTFS 文件安全）的压缩文件提供增强
	的更新性能。此外还优化了快速打开信息的默认参数，来为这些压缩文件实现更快的
	打开时间。

   2. 问题修复：

      a) 在搜索 .7z 格式的压缩文件中的文本字符串时，“Find”（查找）命令可能失败；

      b) 在打开使用加密文件名、且存储在另一个压缩文件中的 RAR 5.0 压缩文件时，
	WinRAR 会发送密码不正确的错误消息。该问题只在内部和外部压缩文件的两个密码
	不同时才发生。这不影响提取，所有文件都会忽略这条消息而进行解压；

      c) 密码对话框中的“用于所有压缩文件”这个选项不阻止那些使用加密文件名的 RAR 
	5.0 压缩文件所需的额外密码；

      d) WinRAR 地址栏未正确处理基于环境变量的路径，例如 %temp%；

      e) 存储 NTFS 文件安全和备用数据流，对路径名称超过 260 个字符的文件无效；

      f) 如果只测试了 RAR 5.0 压缩文件中的一部分文件，“Test”（测试）命令会在有效
	的恢复记录中错误报告损坏的数据。如果测试整个压缩文件内容则不会发生这个问题；

      g) 在验证 RAR 4.x Unix 符号链接时，“Test”（测试）命令会错误地报告错误；

      h) WinRAR“View”（查看）命令对 BZIP2 压缩文件内的文件无效；

      i) 如果关闭了压缩文件对话框中的“高精度修改时间”这个选项，WinRAR 不是存储较
	低精度的时间，而是根本不存储修改时间；

      j) 在 WinRAR 命令行模式下提取非 RAR 压缩文件时，含有.\ 或..\ 组件的目标路径工
	作不正常；

      k) WinRAR 无法解压多卷 CAB 压缩文件。


   版本 5.00

   1. 新的 RAR 5.0 压缩文件格式。你可以在压缩对话框中使用 "RAR 5.0" 选项或命令行中
      使用 -ma 开关创建 RAR 5.0 压缩文件。

      较老的软件，包括老版本的 WinRAR，不能解压 RAR 5.0 压缩文件，所以如果你计划把
      一个压缩文件发送给其他人，则需要考虑兼容性问题。你可以在压缩对话框中选择
      "RAR" 替代 "RAR5" 选项创建 RAR 4.x 压缩文件来兼容以前版本的 WinRAR。

   2. RAR 5.0 压缩算法的改变:

      a) 64 位 WinRAR 中最大的压缩字典增加到 1GB。32位 WinRAR 版本创建压缩文件时可
         以使用 256MB 的字典。32位和64位版本都可以解压任何字典大小的压缩文件，包括 
         1GB的;

      b) RAR 5.0 的默认字典大小是 32MB，结果就是比 RAR 4.x 的 4MB 更高的压缩率和较
         慢的速度。你可以在压缩对话框选择中使用“字典大小”选项或 -md<大小> 开关修
         改此值;

      c) -md<大小> 开关的语法修改为支持更大的字典大小。附加 'k', 'm' 和 'g' 后缀指
         定大小单位是 KB，MB 和 GB, 例如， -md64m 指 64MB 字典。如果后缀不存在，默
         认是 MB，所以 -md64m 等于 -md64;

      d) RAR 5.0 格式包括英特尔 IA-32 可执行和 delta 的压缩算法，但是 RAR 4.x 的文
         本、音频、真彩色和安腾算法不再支持。这些排除的算法对现代数据类型和硬件配置
         不是很有效率;

      e) RAR 5.0 解压缩可以使用多 CPU 核心。虽然不能有压缩算法同一程度的提高，但是
         它提升了可压缩效果差数据的大文件和使用BLAKE2校验和时的解压速度。

   3. RAR 5.0 压缩文件格式的改变:

      a) 文件时间存储为协调世界时(UTC)，替代以前的本地时间，这让文件在不同的时区内
         的交流更直观;

      b) 文件名和压缩文件注释使用 UTF-8 编码。
   
   4. RAR 5.0 恢复记录基于里德-所罗门 ( Reed-Solomon ) 错误纠正码。如果恢复记录的大
      小足够大，5%或更多，新的纠错方案提供了比 RAR 4.x 更高的抗多种损害的能力。较小
      的恢复记录，如 1 - 2%, 或较少的随机损坏类型时 4.x 和 5.0 的区别较少。对于单一
      连续损坏，4.x 和 5.0 的效率是相同的。

      此外,通常的数据抹除，新的恢复记录比之前的 RAR 版本可以检测删除和插入更大的大
      小。最大的插入大小是几兆字节。最大的删除大小依赖于损坏的类型，在某些情况下可
      以和恢复记录的大小一样大。
      
      不过，最好的恢复性能和效率是压缩文件没有删除和插入存在，包括受损区域的所有数
      据保持原来的位置。因此,如果你使用一些特殊的软件从损坏的媒介复制压缩文件，最好
      选择以零或任何其他数据填充受损区域的模式，而不是把它们完全从结果文件中切除。

      RAR 5.0 恢复记录比恢复记录本身更耐损坏，可以利用部分损坏的恢复记录数据。但是，
      请注意，“修复”命令不修复恢复记录的损坏块。只有文件数据可以被更正。压缩文件
      修复成功后,您可能需要对保存的文件创建一个新的恢复记录。

      新恢复记录不再是基于512字节区块，而是有更复杂的数据结构。所以不可能指定区块的
      大小。对于RAR 5.0 压缩文件 rr[N]开关和rr[N]命令的参数总是视为压缩文件大小的百
      分比，不管%字符是否存在。通常 N% 恢复记录可以修复 N%的连续损坏数据，增加压缩
      文件的大小仅略超过 N%。解决多个损坏的能力与N成正比。

      我们使用 James S. Plank、Kevin M. Greenan 和 Ethan L. Miller 的 “Screaming
      Fast Galois Field Arithmetic Using Intel SIMD Instructions”论文来改进
      Reed-Solomon码性能。也感谢 Artem Drobanov 和 Bulat Ziganshin 提供例子和想法使
      Reed-Solomon码更有效率。

   5. "测试" 命令验证 RAR 5.0 恢复记录的有效性。在处理完所有压缩文件后测试恢复记录。

      如果损坏的压缩文件包含恢复记录，即使恢复记录验证测试失败也可能被修复。“修复”
      命令尝试利用部分受损的恢复记录。所以如果原始文件仍然可用，则把否定的恢复记录
      测试结果作为重建压缩文件的原因，而不是避免使用“修复”命令的原因。

   6. RAR 5.0 加密算法的改变:

      a) CBC 模式中加密算法由 AES-128 改变为 AES-256。关键推导函数是基于使用 
         HMAC-SHA256 的 PBKDF2;

      b) 特殊密码验证值允许不解压整个文件就能检测大部分错误密码;

      c) 如果压缩文件头没有加密 ("加密文件名" 选项关闭), 对于加密 RAR 5.0 文件的文
         件校验和被修改使用一种特殊的密码依赖算法，不可能基于校验和猜测文件内容。不
         要期待这样的加密文件校验和匹配常规和 BLAKE2 和 CRC32 值。
   
   7. RAR 5.0 压缩文件可以使用 256位的 BLAKE2sp 哈希( https://blake2.net ) 代替 32
      位的 CRC32 作为文件校验和。可以在压缩对话框的“选项”页中启用“使用 BLAKE2 文
      件校验和”或在命令行中指定 -htb 开关来使用 BLAKE2 校验和。

      在生成稍大的压缩文件时，BLAKE2 可以被用于文件内容识别。如果两个文件有相同 
      BLAKE2 值，基本上就可以认定文件内容是相同的。BLAKE2 的错误检测性能比较短的 
      CRC32 更强。

   8. 删除的功能:

      a) 身份验证功能的可靠性达不到所需的级别，功能被移除;
      
      b) RAR 5.0 压缩文件由于总是添加压缩文件结束块，所以不支持开关 -en(不添加“压
         缩文件结束”块)。此块有助于帮助 WinRAR 安全跳过扩展数据，如附在压缩文件后
         的数字签名;

      c) RAR 5.0 压缩文件不支持 arcname.rNN 风格的旧分卷名，只使用 
         arcname.partN.rar 卷名;
      
      d) RAR 4.x 和 RAR 5.0 都不再支持文件注释了。控制台 RAR 的‘cf’命令被移除。这
         不影响压缩文件注释，此功能在两个压缩文件格式的版本中都支持，并且没有删除的
         计划。

   9. "设置密码" 命令和 "字典大小" 选项被移动到压缩对话框的“常规”页面。
   
  10. 你可以在压缩对话框的“高级”对话框中使用“把符号链接保存为链接”来保存并恢复 
      NTFS 符号链接和分析点为链接，它们的内容没有被压缩。此选项的命令行等价开关是 
      -ol。

      NTFS 硬链接的类似选项是“把硬链接保存为链接”。它的命令行等价开关是 -oh。

      这两个选项仅可用于 RAR 5.0 压缩文件格式。
   
  11. 添加对 XZ 压缩文件格式的解压支持。
   
  12. RAR 5.0 压缩文件格式中恢复卷处理的更改:

      a) RAR 5.0 中最大 RAR+REV 卷数是65535，取代 255;

      b) 恢复卷的操作速度比 RAR 4.x 快;

      c) 除了恢复数据，RAR 5.0 REV 文件也存储了类似于文件校验和的服务信息来保护 RAR
         文件。所以它们比它们要保护的 RAR 卷要稍大。所以如果你要把 RAR 和 REV 文件
         单独复制的移动媒介中，你需要把它考虑在内并指定 RAR 卷的大小比媒介的大小少
         几K字节。
  
  13. RAR 和 ZIP 压缩文件中的最大路径长度增加到 2048 个字符。
  
  14. 如果 命令行 RAR 检测到用户输入了错误的密码，它会返回退出码 11。只有 RAR 5.0 
      压缩文件才能返回此代码。对于 RAR 4.x 文件它可以区分是密码错误还是数据损坏。

  15. 'v' 和 'l' 命令在行的末尾显示压缩的文件名，不是和以前一样显示在前面。以前仅在
      ‘l’和‘v’中输出的某些字段现在仅由‘lt’和‘vt’显示。
      
      'vt' 和 'lt' 命令提供每个压缩了的文件的详细多行信息。

      'vta' 和 'lta' 的列表中还包含了服务头。

   16. 现在WinRAR 和控制台 RAR 中类似于 'rar a arcname @filelist' 命令中的文件列表
       的默认字符集为 ANSI。以前版本中 WinRAR 是 ANSI，控制台 RAR 是 OEM。你可以使
       用 -sc<字符集>l 开关取代此默认值。

   17. WinRAR 内部查看器能检测并显示 UTF-8 和 UTF-16 小端字节序编码的文件。

   18. UTF-16 小端字节序编码被用于 RAR 和 WinRAR 日志文件 rar.log 中，所以 Unicode 
       文件名能在日志文件中正确存储。WinRAR 会自动删除非 Unicode 格式的旧 rar.log 
       文件来避免同一日志文件中混合不同的编码。控制台 RAR 的情况下，你需要手动删除
       旧的 rar.log，否则 RAR 会在现有的 rar.log 后追加 UTF-16 的信息。

       你可以使用 -sc<字符集>g 开关改变默认日志文件的编码，如 -scag 使用 ANSI 编码。

   19. 命令行 'r' (修复) 命令可以有一个附加的 目标路径\ 参数来定义修复好的压缩文件
       的目标文件夹:

       rar r archive.rar 目标路径\
      
   
   版本 4.20

   1. RAR 压缩的改变:

      a) RAR 常规压缩算法优化，更好得利用了多处理器核心。单处理器模式中提高一定的
         速度的同时，多核心环境的压缩结果更好。

         速度的提升效果依赖于数据类型和平均文件大小。在压缩大文件时多核心利用率更
         高。

      b) 为了更快的压缩速度，我们不得不增加内存的使用。常规 RAR 压缩算法分配大约
         120 MB 内存，而 WinRAR 4.11 中为 40 MB;

      c) RAR 文本压缩不能有效得利用多 CPU 核心，所以在多处理器环境中它的性能比常
         规压缩要低。不管多少个 CPU 数，它的解压缩速度都比常规算法要慢。所以我们
         决定默认禁用文本算法。

         如果需要把纯文本数据获得最大程度的压缩率，你可以在“高级压缩参数”对话
         框中启用文本压缩。点击压缩对话框的“高级”页面的“压缩...”按钮来访问它。
         你也可以在默认压缩配置中永久修改此选项;

         命令行模式中可以使用 -mct 开关启用文本压缩;

      d) “最快”(-m1) 压缩模式现在也支持多处理器核心。4.11 中此模式仅能使用单处
         理器核心。

   2. RAR 常规解压缩算法的速度有稍微的提高，Rar 压缩算法的不同会导致不一样。RAR 
      解压缩不能使用多处理器核心，所以它的速度不依赖于核心数。

   3. ZIP 压缩的改变:

      a) 现在 ZIP 压缩支持多处理器核心，这样在多核心环境中能获得显著的性能提升。
         使用单 CPU 时 ZIP 压缩也比 4.11 快;

      b) ZIP 压缩的内存使用增加到大约 15 MB。

   4. 恢复卷的创建和处理可以使用多个 CPU 核心来获得更高的处理速度。然而，一般硬盘
      的寻道速度是恢复卷的一个限制因素，所以使用固态硬盘时效果会更明显。

   5. 现在 -mt<线程> 的 <线程> 值允许设为 1 - 32, 而不是以前的 0-16。
   
   6. “查找文件”命令可以查找 7-Zip 压缩文件中的数据。以前的“查找文件”不支持
      .7z 压缩格式。
   
   7. WinRAR 和 WinRAR 自解压模块不再支持 Windows 2000。

   8. “高级自解压选项”对话框中的“保存当前设置”按钮现在仅在转换现有的压缩文件
      到自解压文件时可用。此按钮保存是选项仅应用于转换到自解压文件操作。

      在创建或更新自解压文件时仅使用存储在默认压缩配置中的自解压选项。对于这些操
      作，忽略“高级自解压选项”对话框中保存的选项。

   
   版本 4.11

   1. 错误修正:

      a) WinRAR 在创建 RAR 压缩文件时不存储 NTFS 的 "压缩" 属性;

      b) WinRAR 的命令行模式在有 @filelist 参数存在而 'filelist' 不存在时崩溃。此
         问题只影响 WinRAR.exe，不影响 RAR.exe;

      c) 如果在压缩时指定了 -x*\somefolder\* 排除掩码，并且当前文件夹名中包含
          'somefolder'，WinRAR会排除所有文件并停止创建压缩文件;

      d) GUI 自解压压缩文件不能在 Windows 预安装环境(Windows PE)中使用。

   
   版本 4.10

   1. WinRAR 可以创建几乎任何大小的 ZIP 压缩文件。

      以前 WinRAR 版本的 2 GB 压缩文件大小和 65535 个文件数的 ZIP 限制不再有效。

   2. WinRAR 可以创建多卷 ZIP 压缩文件，也被称为拆分 ZIP 文件。

      ZIP 卷的名字类似于“volname.zip”，“volname.z01”，“volname.z02”。在所有
      压缩文件中，使用有“.ZIP”文件扩展名的卷来处理开始解压或打开一个压缩文件等
      操作。

      和 RAR 卷不一样，ZIP 卷不能自解压。

      WinRAR 在创建或解压 ZIP 分卷时需要同时访问多卷 ZIP 文件的所有卷，所以不可能
      在多个移动磁盘上创建或解压 ZIP 卷。你需要在同一文件夹内创建它们。

   3. 对 ZIP 压缩文件新增高精度文件时间的支持。WinRAR 可以在 ZIP 压缩文件内以 100
      纳秒的精度存储和解压修改、创建和上次访问的文件时间。

      你需要在压缩对话框的“时间”部分设置“高精度修改时间”选项，才能在压缩文件存
      储所有的 3 个时间。在解压对话框中的“高级”部分设置适当的“文件时间”选项选择
      解压的时间。

   4. 增加了支持存储 Unicode 文件名到 ZIP 扩展字段数据。不同的ZIP工具存储 Unicode
      名称位置不同，有的在文件头，有的在扩展字段，现在 WinRAR 可以正确地处理这两种
      类型 Unicode名称。

   5. “同步压缩文件内容”选项和 -as 命令行开关支持 ZIP 格式。

   6. 修改 -ag 开关的行为:

      a) -ag 可以用于所有的 RAR 和 WinRAR 命令，而不再仅限于压缩;

      b) 'N' 格式字符的行为在压缩和非压缩操作中的行为不同。压缩时，它会递归直到找到
         第一个未使用的名称。在非压缩操作中，如解压，它会在选择已存在的压缩文件向前
         找第一个未使用的名称;

      c) 'I' 格式字符允许指定分钟，不理会格式字符串中 'H'(小时) 的存在和位置。这可
         以在你想把分钟放小时前面或不需要小时的时候代替 'M'(分钟) 。

   7. 默认情况下，WinRAR 会在查看器修改了打开的文件或创建了新的文件时建议更新压缩文
      件。在“设置/查看”对话框中的“忽略修改”选项允许禁用此行为。在这里你可以输入
      以空格分隔的一个或多个文件掩码，如果创建或修改的文件则匹配这些掩码，WinRAR 不
      会再询问是否要更新压缩文件。

   8. 分卷大小输入栏的修改。现在你可以在分卷大小右边的下拉列表中选择大小的单位。之前
      的方法是自己输入 'k', 'm' 等定义大小的单位。写在数字大小值后的字符也被支持。

   9. “定义分卷大小”对话框中“预定义大小”的修改。软盘和 ZIP 盘被 5MB 和 100MB 卷
      替代，增加了 FAT32 能支持的最大大小和蓝光光盘的大小。

  10. 在压缩对话框的“选项”页新增“清除设置了密码的文件”选项。如果你总是想安全加密
      的文件，你可以在默认压缩配置中启用“清除设置了密码的文件”。

  11. 在“设定/安全”中新增“清除临时文件/仅加密的”选项。它可以让 WinRAR 在
      认定为加密文件时，使用慢速但安全的方法删除从加密压缩文件解压到临时文件夹中的文
      件。其它临时文件快速删除。

  12. “转换压缩文件”命令的修改:

      a) 现在可以转换加密的压缩文件了。以前“转换压缩文件”命令会跳过它们。

         不过，如果你还是想跳过它们，你可以通过启用“转换压缩文件”对话框中的“跳
         过加密的压缩文件”选项做到这一点。它可能在你想在无人值守模式下运行转换命
         令，避免密码提示时有用;

      b) 特殊的“rar2”压缩文件类型被移除，这是对 RAR1.x 和 2.x 特定的压缩文件。现
         在“RAR”压缩文件类型控制所有版本的 RAR 压缩文件的转换。

         由于转换命令不再需要检测的RAR压缩版本了，初始的搜索压缩文件更快，这样显示
         “转换压缩文件”对话框前的延迟更短。
  
  13. 新的 -log[格式][=名称] 开关允许写入压缩 RAR 和 ZIP 格式的命令处理的压缩文件和
      文件名到日志文件中，也可用于 RAR 格式的解压、删除和列表命令。

      当你需要进一步处理由 -ag 或 -v 开关建立的压缩文件时，这个开关特别有用，因为
      -log 提供了 WinRAR 所生成的压缩文件名。

  14. 新-@[+]开关允许处理“@”字符开头的所有参数，区分文件名(-@)或(-@+)文件列表。

  15. “高级自解压选项”对话框的“安装程序”自解压选项从“常规”页移动到“安装”
      页。“解压后运行”和“解压前运行”现在都可多行，所以可以在同一压缩文件中指定
      多个安装程序。
  
  16. "SetupCode" 自解压脚本命令指示自解压文件等待安装程序的终止并返回退出代码，以
      增加 1000 作为自解压压缩文件的退出码。

      图形界面的等效命令是“高级自解压选项”对话框“设置”页面的“等待并返回退出代
      码”选项。

  17. 自解压模块不再支持“S”(在开始菜单顶部创建)“快捷方式”命令。新版本的
      Windows 不允许程序在开始菜单顶部添加项目。


   版本 4.01

   1. 添加对保存在 TAR 压缩文件中的二进制格式文件大小的支持。 某些 TAR 压缩文件对
      于大于8 GB 的文件使用二进制格式的大小，而不是八进制。
   
   2. 错误修正:

      a) “修复”命令无法正确重建包含至少一个文件打包大小超过 4 GB 的 RAR 压缩文件
         的结构。

         此错误不影响基于恢复记录的修复。只有在 WinRAR 重建没有找到恢复记录的压缩
         文件结构时才发生这个问题;

      b) 即使解压对话框的“高级”部分中的“不解压路径”被设置为默认，WinRAR 在从资
         源管理器右键菜单中解压时仍然解压文件路径。

      c) 在对一个加密的 ZIP 压缩文件输入一个错误的密码后，有时 WinRAR 会忽略随后尝
         试输入的有效密码;

      d) 在压缩单个文件夹或者没有扩展名的文件时，“向导”命令不允许创建自解压和多
         卷压缩文件;

      e) “从文件导入设置”命令不能恢复 WinRAR 压缩配置文件中的多行注释;

      f) 当转换 name1.name2.part#.rar 格式名称的 RAR 卷时，“转换压缩文件”命令错
         误地删除“.name2”名称部分。这样导致生成的压缩文件名是 name1.rar，而不是
         预期的 name1.name2.rar;

      g) RAR 在使用 -agNNN 开关创建一个新的压缩文件时，如果在生成的压缩文件数大于
         等于110时崩溃;

      h) 如果 7-Zip 压缩文件使用了非默认代码页，WinRAR 不能正确显示其中的非英语文
         件名。这仅仅是显示问题，这些名字的文件还是能被正确解压的。


   版本 4.00

   1. RAR 解压缩速度提升。根据数据类型，解压缩会比以前版本提升 30%。

      常规的 RAR 算法和大部分特殊的 RAR 多媒体模式都受益于此改进。唯一没有受影响
      的 RAR 算法模块是“文本压缩”模式。
   
   2. ISO 支持的更改:
   
      a) UDF 支持更新为 UDF 2.50 修订。这使解压大部分蓝光 ISO 文件成为可能;

      b) 当浏览 UDF ISO 文件时，UDF 修订号会被显示在 WinRAR 地址条和压缩文件信息
         对话框的 "UDF" 格式名后;

      c) WinRAR 解压时会设置文件夹的修改日期为 UDF 和 ISO9660 文件中存储的时间。
   
   3. 密码对话框的更改:

      a) WinRAR 解压和压缩时使用同样的密码对话框格式，所以“显示密码”选项解压时
         也有效;

      b) 密码对话框的“管理密码...”按钮提供了密码的管理界面，在这里你可以指定你
         常用的密码。你可以使用密码对话框中的下拉列表或自动完成功能访问这些保存的
         密码。

      c) 在一次解压多个压缩文件时，增加了密码对话框中的“用于所有压缩文件”选项。
         你可以使用它对所有压缩文件只输入一次密码。

         如果此选项使用空密码，WinRAR 会跳过所有加密的压缩文件。

      d) 不象以前的版本，默认压缩配置中的密码不用于解压。
         
         如果你想要对所有解压的压缩文件使用相同的密码，点击密码对话框的“管理密
         码...”按钮定义一个新的密码项目，在“用于的压缩文件”区域输入"*"文件掩码。

   4. 在 Windows 7 中 WinRAR 会在 Windows 任务栏的 WinRAR 图标中显示总的操作进度。
      你可以使用 WinRAR 设置中“常规”页的“任务栏进度条”选项禁用它。

   5. 多项 Unicode 支持改进，用于更好的访问非英语文件名。这些改进包括:

      a) 在 WinRAR 的“重命名”、“转换”、“查找”和其它命令中、在文件夹树窗格中、
         在密码询问对话框和许多其它 WinRAR 界面部分中更好的 Unicode 处理;

      b) 在资源管理器右键菜单中更好的显示 Unicode 文件名;

      c) Unicode 支持 .lng 文件，使 WinRAR 的本地化可用于仅支持 Unicode 的语言;
   
   6. -x<文件> 开关语法修改。现在你可以指定通配符掩码排除文件夹。这些掩码跟一个
      '\' 字符，如 -x*tmp*\ 或 -x*\temp\

   7. 在解压对话框的“高级”部分新增“解压相对路径”选项。如果你在 WinRAR 界面中
      浏览某些压缩文件的子文件夹并启用“解压相对路径”选项，则包括在路径中的当前
      子目录在解压时候从文件路径中移除。
      
      例如，如果你在压缩文件的文件夹“Backup\MyData”内并解压“Images”文件夹，
      它会解压为“Images”，而不是“Backup\MyData\Images”。

      此选项是新的默认解压模式，但是你可以修改此默认为 WinRAR 3.x 风格。只要在解
      压对话框的“常规”部分选择“解压完全路径”并点击“保存设置”。
   
   8. WinRAR 和 WinRAR 的自解压模块不再支持 Windows 98, Windows Me 和 Windows NT。
      WinRAR 所需的最低的 Windows 版本是 Window 2000。
      
      如果你需要在老版本的 Windows 中运行 WinRAR，你可以从 ftp://ftp.rarlab.com/rar
      下载以前版本的 WinRAR。

   9. 如果 TAR、TAR.GZ 或 TAR.BZ2 压缩文件包含符号或硬链接并且目标文件系统是 NTFS，
      WinRAR 会在解压这些压缩文件时创建这些链接。在 Windows Vista 和以上版本中
      WinRAR 会创建符号链接为符号链接，硬链接为硬链接，较低版本的 Windows 中都创
      建为硬链接。

      如果目标文件系统是 FAT32 或任何其它不支持文件链接的文件系统，WinRAR 会在解压 
      TAR、TAR.GZ 和 TAR.BZ2 压缩文件时跳过链接。
   
  10. 恢复卷处理时使用较少的磁盘操作获得更高的性能。

  11. 你可以在解压对话框的树窗格中选择 Windows 7 库，WinRAR 会使用它的默认保存位
      置做为目标路径。

  12. "报告" 命令允许选择 HTML、Unicode 文本和常规文本为报告的输出格式。不像以前
      版本的 WinRAR，现在 WinRAR 使用 HTML 或 Unicode 文本格式时在报告中保留
      Unicode 字符。所以在这些报告中文件名中的非英语字符会正确显示。
   
  13. 图形自解压的消息列表只显示操作状态和错误信息。它不再包含所有解压的文件名
      了。这个更改提高了速度，降低包含大量的文件的自解压文件解压时的内存需求。同
      时它使得更容易找到错误消息，因为它们不再隐藏在解压的文件名中了。

  14. 图形自解压压缩文件对于压缩文件注释中没有“Setup”或“Presetup”命令的时候显
      示“解压”代替“安装”。如果你要设为“安装”按钮，但是不需要执行任何安装程
      序，你可以添加一个“Setup=<>”命令。
  
  15. WinRAR 在修复包含恢复记录的压缩文件或处理恢复卷时，在操作进度条上显示百分比。

  16. 当 WinRAR 在卷大小自动检测模式下, 在 FAT 或 FAT32 文件系统中创建 RAR 卷，会
      限制最大可能卷尺寸为 4 GB 减 1 字节。这些文件系统不支持 4 GB 及更大的文件。

  17. 如果启用“如果其它 WinRAR 副本被激活则等待”选项并且 WinRAR 在等待其它副本,
      你可以在命令进度窗口单击“继续”按钮强制 WinRAR 停止等待。这样新的“继续”
      按钮允许覆盖当前操作的“如果其它 WinRAR 副本被激活则等待”的状态就可以允许
      当前操作忽略此选项的设置。

  18. 当使用某些外部编辑器修改 RAR 或 ZIP 压缩文件中的加密文件后保存会压缩文件时，
      WinRAR 将显示一次而不是两次密码请求。上一版本的 WinRAR 通常会在解压原始文
      件和压缩修改后的副本时请求两次密码。只有使用加密文件名称的 RAR 压缩文件提
      示一次密码。 

  19. RAR 和 WinRAR 命令行模式返回的的错误代码列表添加了新的错误代码 10 ("无文
      件") 。这个新的代码会被压缩、解压、删除和报告命令返回。它意味着 RAR 在指定
      的文件或压缩文件掩码中没有找到任何匹配的文件。
  
  20. 在文件覆盖对话框的文件名称区域现在多行显示。这样可以显示更长的名字。
  
  21. 现在开关 -ep3 转换不仅使用盘符，也使用 UNC 路径。这样 \\server\share 压缩时
      会被转换为 __server\share，使用 -ep3 解压时恢复为原来的 \\server\share。

  22. 解压对话框的“高级”部分中新的“后台解压”选项可以使 WinRAR 在解压时进入后
      台操作。你可以和其它选项一样，在解压对话框的“常规”部分使用“保存设置”按
      钮保存此选项的默认状态。

      默认压缩配置中的“后台压缩”选项不影响解压行为。

  23. 在解压或测试压缩文件时，操作进度窗口中的 "更多..." 按钮也可用。它提供了访问
      “命令参数”对话框，在这里你可以设置解压和测试操作的“完成后关闭计算机”选
      项。

      以前此对话框仅可在压缩操作时访问。

  24. 错误修正:

      a) 重命名压缩文件中的一个文件也会导致同一压缩文件中所有同名文件被重命名;

      b) 对于多卷 CAB 压缩文件，上一版本在“信息”命令中显示错误的总计解包大小;

      c) 在 ZIP 压缩文件中的 'U' (更新) 和 'F' (刷新) 命令会错误地更新没有在命令
         行中指定的文件。这仅发生在当前文件夹内有与 Zip 压缩文件内文件名字匹配的
         文件时。此错误没有出现在通常的 'A' (添加) 压缩文件模式中。